<!--
      Copyright (c) 2000,2001 Dave Carrigan <dave@rudedog.org>
      All rights reserved.
      
      $Id: faq.dtd,v 1.4 2001/02/16 23:06:20 dave Exp $
      Source: $Source: /var/cvs/src/auth_ldap/faq.dtd,v $
-->

<!ENTITY % inlines "auth_ldap|emph|file|program|command|directive|verbatim|link" >
<!ENTITY % blocks "script|list|error">

<!ELEMENT faq (intro, qa+)>

<!ELEMENT intro (para+)> 

<!ELEMENT para ( #PCDATA | %inlines; | error )* >

<!ELEMENT qa (q, a)>
<!ATTLIST qa
        class ( compile | load | runtime | misc ) "compile"
        title CDATA #REQUIRED
        name CDATA #REQUIRED
>

<!ELEMENT q ( (para|error)+ ) >

<!ELEMENT a ( para | %blocks; )+ >

<!ELEMENT emph (#PCDATA)>
<!ELEMENT file (#PCDATA)>
<!ELEMENT program (#PCDATA)>
<!ELEMENT command (#PCDATA)>
<!ELEMENT script (#PCDATA)>
<!ELEMENT error (#PCDATA)>
<!ELEMENT directive (#PCDATA)>
<!ELEMENT verbatim (#PCDATA)>
<!ELEMENT link (#PCDATA|%inlines;)* >
<!ATTLIST link
        url CDATA #REQUIRED
>

<!ELEMENT list (item+)>
<!ATTLIST list type ( numbered | bullet ) "bulletted" >

<!ELEMENT item (para+) >

<!ELEMENT auth_ldap EMPTY>
